<!DOCTYPE html>
<html>
<title>Covid19 Ministry</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<style>
    html,body,h1,h2,h3,h4,h5 {font-family: "Raleway", sans-serif}
    .menu-tag:hover{
        text-decoration: none;
    }
</style>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
    <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
    <span class="w3-bar-item w3-right">Covid19-Ministry Panel</span>
</div>

<!-- Sidebar/menu -->
<!-- !PAGE CONTENT! -->
<div class="w3-main" style="margin-top:43px;">

    <!-- Header -->
    <header class="w3-container" style="padding-top:22px">
        <h5><b><i class="fa fa-dashboard"></i> My Dashboard</b></h5>
    </header>

    <div class="w3-row-padding w3-margin-bottom">
        <div class="w3-quarter">
            <a href="{% url 'admin_panel:shop_list' %}" class="menu-tag">
                <div class="w3-container w3-red w3-padding-16">
                    <div class="w3-left"><i class="fa fa-shopping-bag w3-xxxlarge"></i></div>
                    <div class="w3-right">
                        <h3>{{ shops|length }}</h3>
                    </div>
                    <div class="w3-clear"></div>
                    <h4>Shops</h4>
                </div>
            </a>
        </div>
        <div class="w3-quarter">
            <a href="{% url 'admin_panel:ministry_list' %}" class="menu-tag">
                <div class="w3-container w3-red w3-padding-16">
                    <div class="w3-left"><i class="fa fa-id-card w3-xxxlarge"></i></div>
                    <div class="w3-right">
                        <h3>{{ ministry|length }}</h3>
                    </div>
                    <div class="w3-clear"></div>
                    <h4>Ministry</h4>
                </div>
            </div>
        </div>
    </div>

    <div class="w3-panel w3-center">
        <div class="w3-row-padding" style="margin:0 -16px">
            <div class="w3-twothird">
                <h3>Shop List</h3>
            </div>
        </div>
    </div>
    <div class="w3-panel">
        <div class="w3-row-padding" style="margin:0 -16px">
            <div class="w3-twothird">
                <!-- <h5>Shops List</h5> -->
                <a href="{% url 'admin_panel:create_shop_page' %}"><button style="margin-bottom: 15px" type="button" class="btn btn-primary btn-lg" >Add New Shop</button></a>
                <table class="table table-bordered">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">Sr. No.</th>
                        <th scope="col">Shop Name</th>
                        <th scope="col">Category</th>
                        <th scope="col">Status</th>
                        <th scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for shop in shops %}
                        <tr>
                            <th scope="row">{{ forloop.counter }}</th>
                            <td>{{ shop.shop_name }}</td>
                            <td>{{ shop.shop_category }}</td>
                            <td>{{ shop.health_status }}</td>
                            <td>
                                <a href="{% url 'admin_panel:update_shop_page' shop.id %}" class="btn btn-primary waves-effect" title="Edit"><i class="fa fa-pencil"></i></a>
                                <a href="{% url 'admin_panel:shop_details' shop.id %}" class="btn btn-danger waves-effect" title="Details"><i class="fa fa-list"></i></a>
                                <a href="#" class="btn btn-success waves-effect" title="Delete"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <!-- End page content -->
</div>

<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <form method="POST" action="{% url 'admin_panel:create_shop' %}">
                {% csrf_token %}
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="name">Shop Name:</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="name" name="shop_name" placeholder="Enter Name">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="category">Shop Category:</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="category" name="shop_category" placeholder="Enter Category">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="sel1">Select list:</label>
                        <select class="form-control" id="sel1">
                            <option>Healthy</option>
                            <option>Suspicious</option>
                            <option>Mixture</option>
                            <option>Injured</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="category">Address:</label>
                        <div class="col-sm-10">
                            <input type="hidden" id="lat_1" name="shop_latitude">
                            <input type="hidden" id="lng_1" name="shop_longitude">
                            <input type="text" class="form-control" onclick="initialize(1)" id="autocomplete_search-1" name="shop_category" placeholder="Address">
                        </div>
                    </div>
                </div>
                <div class="modal-footer w3-center">
                    <button type="button" class="btn btn-default btn-danger" data-dismiss="modal">Cancel</button>
                    <input type="submit" class="btn btn-default btn-success" value="Submit">
                </div>
            </form>
        </div>

    </div>
</div>

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
 <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBKLMwSgpyPLp9xNDjt4tELwNGkAdR5qTA
&amp;libraries=places"></script>
<script>
    google.maps.event.addDomListener(window, 'load', initialize);

    function initialize(id) {
            var input_id = document.getElementById('autocomplete_search-' + id);
            if (input_id !== null) {
                var autocomplete = new google.maps.places.Autocomplete(input_id);
                autocomplete.addListener('place_changed', function () {
                    var place = autocomplete.getPlace();
                    {#for (var i = 0; i < place.address_components.length; i++) {#}
                    {#    for (var b = 0; b < place.address_components[i].types.length; b++) {#}
                    {#        //there are different types that might hold a city admin_area_lvl_1 usually does in come cases looking for sublocality type will be more appropriate#}
                    {#        if (place.address_components[i].types[b] == "administrative_area_level_1") {#}
                    {#            //this is the object you are looking for#}
                    {#            city = place.address_components[i];#}
                    {#            $('#state_' + id).val(place.address_components[i]['long_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#        if (place.address_components[i].types[b] == "administrative_area_level_2") {#}
                    {#            city = place.address_components[i];#}
                    {#            $('#city_' + id).val(place.address_components[i]['long_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#        if (place.address_components[i].types[b] == "postal_code") {#}
                    {#            zip_code = place.address_components[i];#}
                    {#            $('#zip_code_' + id).val(place.address_components[i]['short_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#    }#}
                    //{#}#}
                    // place variable will have all the information you are looking for.
                    $('#lat_' + id).val(place.geometry['location'].lat());
                    $('#lng_' + id).val(place.geometry.location.lng());
                });
            }
        }

</script>

</body>
</html>
